<template>
    <div>
        <nav>
            <div class="container">
                <div class="nav-wrapper">
                    <a href="#/start" class="brand-logo">
                        <img src="/images/logo.png" alt="game-logo">
                    </a>
                    <ul id="nav-mobile" class="right">
                        <li>
                            <a href="#/rankings">Ranking</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        <div class="header-page">
            <loader></loader>
        </div>
        <main>
            <div class="container">
                <router-view></router-view>
            </div>
        </main>
    </div>
</template>
<script>

    export default {
        name: 'Application',
        data() {
            return {
                player:{
                    name:""
                },
                round:0
            }
        },
        methods: {
            verifyPlayerRegistered() {
                let name = sessionStorage.getItem('memory_game_player')

                if (name) {
                    this.player.name = name
                }

                if (this.$router.currentRoute.name !== 'start' && !this.player.name) {
                    this.$router.push('start')
                }
            }
        },
        mounted() {
            this.verifyPlayerRegistered()
            Event.listen('save_player_name', name => this.player.name = name)
            Event.listen('round', value => this.round = value)
        }
    }
</script>
<style scoped>

    a.brand-logo img {
        height: 50px;
    }
    a.brand-logo {
        display: flex;
        align-items: center;
        padding: 5px 0;
    }
</style>